/*
 * Copyright 2015, Thomas Maier-Komor
 * LICENSE: GPLv3, see file LICENSE for details
 */

#ifndef LINUXSTATS_H
#define LINUXSTATS_H

class HostScope;

extern bool ReadProcIO, ReadEuid, ReadStatm;

extern int ProcFd, MaxFd;
extern unsigned NumOpen;

extern void init_tsensors();
extern void init_powersupplies(HostScope *);

extern uint64_t get_memtotal();
extern void read_cpuinfo(HostScope *);
extern void read_diskinfo(HostScope *);
extern void read_networks(HostScope *);
extern void read_procs(HostScope *);
extern void read_meminfo(HostScope *);
extern void read_vmstat(HostScope *);
extern void read_powersupplies(HostScope *);

#endif
